MATERIALDIFFUSE(3CgFX)

NAME
MaterialDiffuse - 3D API material diffuse

USAGE
MaterialDiffuse = float4(r, g, b, a)

VALID ENUMERANTS
r, g, b, a: floating point values

DESCRIPTION
Specify the materials diffuse reflectance values. See the GL_DIFFUSE description on the OpenGL glMaterial manual page for details. See the D3DRS_DIFFUSEMATERIALSOURCE render state description for DirectX 9.

The standard reset callback sets the MaterialDiffuse state to float4(0.8, 0.8, 0.8, 1.0).

OPENGL FUNCTIONALITY REQUIREMENTS
OpenGL 1.0

DIRECT3D FUNCTIONALITY REQUIREMENTS
DirectX 9

SEE ALSO
AmbientMaterialSource, ColorMaterial, DiffuseMaterialSource, EmissiveMaterialSource, MaterialAmbient, MaterialEmission, MaterialEmissive, MaterialPower, MaterialShininess, MaterialSpecular, SpecularMaterialSource